Get task triggers

GET
/api/v2/tasks/{taskId}/triggers
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

taskId*string
Formatuuid

Query Parameters

type?string

Filter by trigger type (optional).

sort_by?string

Sort by field name (optional). Supported fields: "type", "name", etc.

page?integer

Page number (1-based). Default is 1. Ignored when get_all = true.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

Formatint32
Range1 <= value <= 50
get_all?boolean

When true, pagination is disabled and all items are returned.

sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "frequency": "string",      "execution": "string",      "nextExecution": "string",      "type": "string"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}